Einen Batch mit Kampagnen löschen
curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns/batch/archive"
payload = { "inputs": [{ "id": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{id: '<string>'}]})
};
fetch('https://api.hubapi.com/marketing/v3/campaigns/batch/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch
Delete campaigns
Dieser Endpunkt löscht einen Batch mit Kampagnen. Die maximale Anzahl von Elementen in einer Batch-Anfrage beträgt 50. Die Antwort lautet immer „204 No Content“, unabhängig davon, ob die Kampagnen vorhanden sind oder nicht, ob sie erfolgreich gelöscht wurden oder nicht oder ob nur einige der Kampagnen im Batch gelöscht wurden.
POST
/
marketing
/
v3
/
campaigns
/
batch
/
archive
Einen Batch mit Kampagnen löschen
Supported products
Supported products
Required Scopes
Required Scopes
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Ein Array von PublicCampaignDeleteInput-Objekten, die jeweils eine zu löschende Kampagne angeben. Jedes Objekt muss die eindeutige Kennung der Kampagne enthalten.
Show child attributes
Show child attributes
Antwort
Zuletzt geändert am 1. April 2026
⌘I